/**
    START - LOADING
 */
#ajax_loading {
    position: fixed;
    top: 0px;
    right: 0px;
    width: 100%;
    height: 100%;
    background-color: #666;
    background-image: url('/static/core/images/loading_circle.gif');
    background-size: 80px 80px;
    background-repeat: no-repeat;
    background-position: center;
    z-index: 10000000;
    opacity: 0.8;
    filter: alpha(opacity=60); /* For IE8 and earlier */
}

.ajax-loading {
  position: fixed;
    top: 0px;
    right: 0px;
    width: 100%;
    height: 100%;
    background-color: #666;
    background-image: url('/static/core/images/loading_circle.gif');
    background-size: 80px 80px;
    background-repeat: no-repeat;
    background-position: center;
    z-index: 10000000;
    opacity: 0.8;
    filter: alpha(opacity=60); /* For IE8 and earlier */
}
/**
    END - LOADING
 */


/**
    START - CLASS
 */
 .page-container {
    padding: 0px 15px 0px 15px;
}
.has-error input.error {
    color: red;
}

.icon-link {
    color: #bb5800;
}

.icon-link .glyphicon {
    font-size: 17px;
}

.icon-link:hover {
    color: #00dcff;
}

label.name-label {
    text-align: left !important;
}

.panel-split-line {
    width: 100%;
    margin: 0px auto 20px auto;
    height: 0.8px;
    background-color: #9d9d9d;
}

.has-kg-unit:after {
    content: ' kg';
}

.highlight-blue {
    color: blue;
    font-weight: bold;
}

td .checkbox {
    margin-top: 0px;
    margin-bottom: 0px;
}

.checkbox input {
    display: inline;
}

.page-header {
    margin: 20px 0px 20px 0px;
    text-align: left;
    overflow: hidden;
    height: 35px;
}

.page-header h3 {
    margin: 0px;
    color: darkslateblue;
}
/**
    END - CLASS
 */










/**
    START - TABLE
 */
.table {
    border-collapse: collapse !important;
}

.table thead th {
    border: 1px solid #FFF !important;
    background-color: #167F92;
    color: #FFF;
    white-space: nowrap;
    padding: 0px 8px 0px 8px !important;
    vertical-align: middle !important;
    text-align: center !important;
    font-weight: normal !important;
    height: 30px !important;
    font-size: 13px;
}

.table.dataTable thead th {
    padding-right: 25px !important;
}

.table thead th.sorting:hover, .table thead th.sorting_asc, .table thead th.sorting_desc {
    color: yellow;
}

.table.odd-event-color tbody tr:nth-child(odd) {
    background-color: #EAF3F3;
}

.table.hover-row-highlight tbody tr:hover, .table tbody tr.selected {
    background-color: yellow !important;
    cursor: pointer;
}

.table tbody td {
    vertical-align: middle !important;
    white-space: nowrap;
    height: 30px !important;
    padding: 0px 8px 0px 8px !important;
    vertical-align: middle !important;
    font-size: 12px;
}

.table tbody tr.finished {
    background-color: #2fe0a7 !important;
}

tbody tr td.select-cell {
    padding-left: 0px !important;
    padding-right: 0px !important;
}

td.select-cell select {
    border: 0px;
}

td.number {
    text-align: right;
}
td.date, td.code, td.func {
    text-align: center;
}


.dataTables_empty {
    padding: 0px !important;
}

.dataTables_wrapper {
    padding-bottom: 20px;
}

.dataTables_info, .dataTables_paginate {
    margin-top: 10px;
}

/**
    END - TABLE
 */








/**
    START - column show/hide configuration popup
 */
.column-display-config {
    float: right;
    margin-bottom: 10px;
}
#modalColumnsDisplayConfig .modal-dialog {
    width: 815px;
}
#modalColumnsDisplayConfig .modal-body {
    height: fit-content;
    overflow: hidden;
}

#modalColumnsDisplayConfig .column-row {
    width: 120px;
    padding: 10px;
    margin: 5px;
    float: left;
    cursor: pointer;
    border: 1px solid lightgrey;
    /*text-align: center;*/
}

#modalColumnsDisplayConfig .column-row.empty {
    border-color: white !important;
    color: white !important;
    cursor: default !important;
}
#modalColumnsDisplayConfig .column-row.col-2 {
    width: 250px;
}
#modalColumnsDisplayConfig .column-row.col-3 {
    width: 380px;
}

#modalColumnsDisplayConfig .column-row.inactive:hover {
    border: 1px solid #5BB75B;
}
#modalColumnsDisplayConfig .column-row.standard {
    display: none;
}
#modalColumnsDisplayConfig .column-row.active {
    color: white;
    background-color: #5BB75B;
    border: 1px solid #5BB75B;
}
#modalColumnsDisplayConfig .column-row.active:hover {
    opacity: 0.6;
}
/**
    END - column show/hide configuration popup
 */

/**
    START - set color for invalid
 */
label.error {
    color: red;
}
/**
    END - set color for invalid
 */

.dropdown-menu div.inner {
    max-height: 290px !important;
}

/**
    START - select filter
 */

.bootstrap-select>.dropdown-toggle.bs-placeholder,
.bootstrap-select>.dropdown-toggle.bs-placeholder:focus {
    color: #333 !important;
}

/**
    END - select filter
 */

 /**
    CHECK BOX AND RADIOS
 */

.checkbox {
    padding-left: 20px;
}

.checkbox label {
    display: inline-block;
    position: relative;
    padding-left: 5px;
}

.checkbox label::before {
    content: "";
    display: inline-block;
    position: absolute;
    width: 17px;
    height: 17px;
    left: 0;
    margin-left: -20px;
    border: 1px solid #cccccc;
    border-radius: 3px;
    background-color: #fff;
    -webkit-transition: border 0.15s ease-in-out, color 0.15s ease-in-out;
    -o-transition: border 0.15s ease-in-out, color 0.15s ease-in-out;
    transition: border 0.15s ease-in-out, color 0.15s ease-in-out;
}

.checkbox label::after {
    display: inline-block;
    position: absolute;
    width: 16px;
    height: 16px;
    left: 0;
    top: 0;
    margin-left: -20px;
    padding-left: 3px;
    padding-top: 1px;
    font-size: 11px;
    color: #555555;
}

.checkbox input[type="checkbox"] {
    opacity: 0;
}

.checkbox input[type="checkbox"]:focus + label::before {
    outline: thin dotted;
    outline: 5px auto -webkit-focus-ring-color;
    outline-offset: -2px;
}

.checkbox input[type="checkbox"]:checked + label::after {
    font-family: 'FontAwesome';
    content: "\f00c";
}

.checkbox input[type="checkbox"]:disabled + label {
    opacity: 0.65;
}

.checkbox input[type="checkbox"]:disabled + label::before {
    background-color: #eeeeee;
    cursor: not-allowed;
}

.checkbox.checkbox-circle label::before {
    border-radius: 50%;
}

.checkbox.checkbox-inline {
    margin-top: 0;
}

.checkbox-primary input[type="checkbox"]:checked + label::before {
    background-color: #428bca;
    border-color: #428bca;
}

.checkbox-primary input[type="checkbox"]:checked + label::after {
    color: #fff;
}

.checkbox-danger input[type="checkbox"]:checked + label::before {
    background-color: #d9534f;
    border-color: #d9534f;
}

.checkbox-danger input[type="checkbox"]:checked + label::after {
    color: #fff;
}

.checkbox-info input[type="checkbox"]:checked + label::before {
    background-color: #5bc0de;
    border-color: #5bc0de;
}

.checkbox-info input[type="checkbox"]:checked + label::after {
    color: #fff;
}

.checkbox-warning input[type="checkbox"]:checked + label::before {
    background-color: #f0ad4e;
    border-color: #f0ad4e;
}

.checkbox-warning input[type="checkbox"]:checked + label::after {
    color: #fff;
}

.checkbox-success input[type="checkbox"]:checked + label::before {
    background-color: #5cb85c;
    border-color: #5cb85c;
}

.checkbox-success input[type="checkbox"]:checked + label::after {
    color: #fff;
}

.radio {
    padding-left: 20px;
}

.radio label {
    display: inline-block;
    position: relative;
    padding-left: 5px;
}

.radio label::before {
    content: "";
    display: inline-block;
    position: absolute;
    width: 17px;
    height: 17px;
    left: 0;
    margin-left: -20px;
    border: 1px solid #cccccc;
    border-radius: 50%;
    background-color: #fff;
    -webkit-transition: border 0.15s ease-in-out;
    -o-transition: border 0.15s ease-in-out;
    transition: border 0.15s ease-in-out;
}

.radio label::after {
    display: inline-block;
    position: absolute;
    content: " ";
    width: 11px;
    height: 11px;
    left: 3px;
    top: 3px;
    margin-left: -20px;
    border-radius: 50%;
    background-color: #555555;
    -webkit-transform: scale(0, 0);
    -ms-transform: scale(0, 0);
    -o-transform: scale(0, 0);
    transform: scale(0, 0);
    -webkit-transition: -webkit-transform 0.1s cubic-bezier(0.8, -0.33, 0.2, 1.33);
    -moz-transition: -moz-transform 0.1s cubic-bezier(0.8, -0.33, 0.2, 1.33);
    -o-transition: -o-transform 0.1s cubic-bezier(0.8, -0.33, 0.2, 1.33);
    transition: transform 0.1s cubic-bezier(0.8, -0.33, 0.2, 1.33);
}

.radio input[type="radio"] {
    opacity: 0;
}

.radio input[type="radio"]:focus + label::before {
    outline: thin dotted;
    outline: 5px auto -webkit-focus-ring-color;
    outline-offset: -2px;
}

.radio input[type="radio"]:checked + label::after {
    -webkit-transform: scale(1, 1);
    -ms-transform: scale(1, 1);
    -o-transform: scale(1, 1);
    transform: scale(1, 1);
}

.radio input[type="radio"]:disabled + label {
    opacity: 0.65;
}

.radio input[type="radio"]:disabled + label::before {
    cursor: not-allowed;
}

.radio.radio-inline {
    margin-top: 0;
}

.radio-primary input[type="radio"] + label::after {
    background-color: #428bca;
}

.radio-primary input[type="radio"]:checked + label::before {
    border-color: #428bca;
}

.radio-primary input[type="radio"]:checked + label::after {
    background-color: #428bca;
}

.radio-danger input[type="radio"] + label::after {
    background-color: #d9534f;
}

.radio-danger input[type="radio"]:checked + label::before {
    border-color: #d9534f;
}

.radio-danger input[type="radio"]:checked + label::after {
    background-color: #d9534f;
}

.radio-info input[type="radio"] + label::after {
    background-color: #5bc0de;
}

.radio-info input[type="radio"]:checked + label::before {
    border-color: #5bc0de;
}

.radio-info input[type="radio"]:checked + label::after {
    background-color: #5bc0de;
}

.radio-warning input[type="radio"] + label::after {
    background-color: #f0ad4e;
}

.radio-warning input[type="radio"]:checked + label::before {
    border-color: #f0ad4e;
}

.radio-warning input[type="radio"]:checked + label::after {
    background-color: #f0ad4e;
}

.radio-success input[type="radio"] + label::after {
    background-color: #5cb85c;
}

.radio-success input[type="radio"]:checked + label::before {
    border-color: #5cb85c;
}

.radio-success input[type="radio"]:checked + label::after {
  background-color: #5cb85c; }

/**
    END CHECKBOX AND RADIOS
 */


/**
    START - SWITCH BUTTON
*/
.switchToggle input[type=checkbox]{height: 0; width: 0; visibility: hidden; position: absolute; }
.switchToggle label {cursor: pointer; text-indent: -9999px; width: 70px; max-width: 70px; height: 30px; background: #d1d1d1; display: block; border-radius: 100px; position: relative; }
.switchToggle label:after {content: ''; position: absolute; top: 2px; left: 2px; width: 26px; height: 26px; background: #fff; border-radius: 90px; transition: 0.3s; }
.switchToggle input:checked + label, .switchToggle input:checked + input + label  {background: #3e98d3; }
.switchToggle input + label:before, .switchToggle input + input + label:before {content: 'Tắt'; position: absolute; top: 7px; left: 35px; width: 26px; height: 26px; border-radius: 90px; transition: 0.3s; text-indent: 0; color: #fff; }
.switchToggle input:checked + label:before, .switchToggle input:checked + input + label:before {content: 'Mở'; position: absolute; top: 5px; left: 10px; width: 26px; height: 26px; border-radius: 90px; transition: 0.3s; text-indent: 0; color: #fff; }
.switchToggle input:checked + label:after, .switchToggle input:checked + input + label:after {left: calc(100% - 2px); transform: translateX(-100%); }
.switchToggle label:active:after {width: 60px; }
.toggle-switchArea { margin: 10px 0 10px 0; }




.accordion-toggle.collapsed:after {
    content: "\e250";
}

.accordion-toggle:after {
    font-family: 'Glyphicons Halflings';
    content: "\e252";
    float: left;
    color: grey;
    padding-right: 10px;
}
/**
    END - SWITCH BUTTON
*/


/**
    START - TAG
 */
 a {
    cursor: pointer;
    color: #00a3e4;
}

a:hover {
    color: #0c41bf;
    text-decoration: none;
}

input[type=radio]:checked + label {
    color: red;
}

label {
    font-weight: normal;
    cursor: pointer;
}

input:focus, select:focus {
    background-color: #ffff99;
}

label.radio-inline, label.checkbox-inline {
	padding-top: 7px;
}

label.radio-inline input[type=radio], label.checkbox-inline input[type=checkbox] {
    width: 18px;
    height: 18px;
    margin-top: 2px;
}

label.radio-inline input[type=radio]:checked + p, label.checkbox-inline input[type=checkbox]:checked + p {
    color: mediumblue;
}

label.radio-inline p, label.checkbox-inline p {
    margin-left: 5px;
    padding-top: 2px;
}

label.radio-inline:nth-child(n + 2), label.checkbox-inline:nth-child(n + 2) {
    margin-left: 20px;
}
/**
    END - TAG
 */

 .no-scroll {
    overflow: hidden;
 }

 .logo-center {
    width: 100vw;
    height: 100vh;
    background-image: url('/static/core/images/logo.png');
    background-repeat: no-repeat;
    background-attachment: fixed;
    background-position: center;
    background-size: 300px 300px;
 }
 